Package org.eclipse.emf.compare.rcp.ui.internal.preferences

# Class GroupsPreferencePage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.preference.PreferencePage
org.eclipse.emf.compare.rcp.ui.internal.preferences.GroupsPreferencePage

All Implemented Interfaces:
  `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.preference.IPreferencePage`, `org.eclipse.ui.IWorkbenchPreferencePage`

public class GroupsPreferencePage extends org.eclipse.jface.preference.PreferencePage implements org.eclipse.ui.IWorkbenchPreferencePage
Preference page for group providers.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PAGE_ID`
Id of the preference page.

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`GroupsPreferencePage()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.swt.widgets.Control`
`createContents(org.eclipse.swt.widgets.Composite parent)`
`String`
`getCurrentSynchronizationBehavior(boolean isThreeWay)`
Gets the state of the the group synchronization behavior.
`static String`
`getGroupSynchronizationPreferenceKey(boolean isThreeWay)`
Gets the preference key for synchronization behavior.
`void`
`init(org.eclipse.ui.IWorkbench workbench)`
`protected void`
`performDefaults()`
`boolean`
`performOk()`
`void`
`setComboInput(String behavior)`
Sets the combo to the given synchronization behavior.
`void`
`setCurrentSynchronizationBehavior(String newBehavior, boolean isThreeWay)`
Sets the current synchronization behavior value.

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

## Field Details

### PAGE_ID

public static final String PAGE_ID
Id of the preference page.

See Also:
  - Constant Field Values

## Constructor Details

### GroupsPreferencePage

public GroupsPreferencePage()

## Method Details

### getGroupSynchronizationPreferenceKey

public static String getGroupSynchronizationPreferenceKey(boolean isThreeWay)
Gets the preference key for synchronization behavior.

Parameters:
  `isThreeWay` - True if three way comparison.
Returns:
  The key of the synchronization behavior for this type of comparison.

### init

public void init(org.eclipse.ui.IWorkbench workbench)

Specified by:
  `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`

### createContents

protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createContents` in class `org.eclipse.jface.preference.PreferencePage`

### setComboInput

public void setComboInput(String behavior)
Sets the combo to the given synchronization behavior.

Parameters:
  `behavior` - Input.

### performOk

public boolean performOk()

Specified by:
  `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
Overrides:
  `performOk` in class `org.eclipse.jface.preference.PreferencePage`

### performDefaults

protected void performDefaults()

Overrides:
  `performDefaults` in class `org.eclipse.jface.preference.PreferencePage`

### setCurrentSynchronizationBehavior

public void setCurrentSynchronizationBehavior(String newBehavior, boolean isThreeWay)
Sets the current synchronization behavior value.

Parameters:
  `newBehavior` -

  Should be one of the following value.

  - `MessageDialogWithToggle.PROMPT`
  - `MessageDialogWithToggle.ALWAYS`
  - `MessageDialogWithToggle.NEVER`
  `isThreeWay` - True if three way comparison.

### getCurrentSynchronizationBehavior

public String getCurrentSynchronizationBehavior(boolean isThreeWay)
Gets the state of the the group synchronization behavior.

Parameters:
  `isThreeWay` - True if three way comparison.
Returns:
  Returns one of the following value.
  - `MessageDialogWithToggle.PROMPT`
  - `MessageDialogWithToggle.ALWAYS`
  - `MessageDialogWithToggle.NEVER`